# SPDX-FileCopyrightText: 2024 UL Research Institutes
# SPDX-License-Identifier: Apache-2.0

repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.5.0
    hooks:
      - id: check-added-large-files
      - id: check-merge-conflict
      - id: end-of-file-fixer
      - id: fix-byte-order-marker
      - id: trailing-whitespace

  - repo: https://github.com/PyCQA/autoflake
    rev: "v2.3.0"
    hooks:
      - id: autoflake
        args:
          - "--in-place"
          - "--expand-star-imports"
          - "--remove-duplicate-keys"
          - "--remove-unused-variables"
          - "--remove-all-unused-imports"

  - repo: https://github.com/psf/black
    rev: 24.2.0
    hooks:
      - id: black

  - repo: https://github.com/PyCQA/isort
    rev: "5.13.2"
    hooks:
      - id: isort
        args: ["--profile", "black"]

    # FIXME: Can't make this work with multiple / nonstandard Dockerfiles
  # - repo: https://github.com/hadolint/hadolint
  #   rev: "v2.12.1-beta"
  #   hooks:
  #     - id: hadolint
  #       args:
  #         - "Dockerfile.cpu"

  - repo: https://gitlab.com/buildgarden/pipelines/skywalking-eyes
    rev: "0.2.0"
    hooks:
      - id: license-eye-header-fix

  - repo: https://gitlab.com/buildgarden/tools/badgie
    rev: "0.11.0"
    hooks:
      - id: badgie

  - repo: https://gitlab.com/buildgarden/tools/cici-tools
    rev: "0.6.0"
    hooks:
      - id: cici-update

  - repo: https://github.com/pre-commit/mirrors-prettier
    rev: "v4.0.0-alpha.8"
    hooks:
      - id: prettier

  - repo: https://github.com/Yelp/detect-secrets
    rev: v1.4.0
    hooks:
      - id: detect-secrets
        args: ["--baseline", ".secrets.baseline"]
